Schöck
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Создание слоя с названием содержимого текстового блока и копирование в него линий с других слоев

Создание слоя с названием содержимого текстового блока и копирование в него линий с других слоев

Ответ
Поиск в этой теме
Непрочитано 26.01.2012, 13:21 #1
Создание слоя с названием содержимого текстового блока и копирование в него линий с других слоев
antiponf
 
Регистрация: 11.01.2012
Сообщений: 38

Здравствуйте. Можно сделать лисп чтобы при его запуске сначала указываешь текстовый блок, потом линии и создается новый слой название которого повторяет содержание текстового блока, а указанные линии копируются автоматически в этот блок.
Заранее благодарен.
Просмотров: 2107
 
Непрочитано 26.01.2012, 14:01
#2
Дима_

Продуман
 
Регистрация: 22.02.2007
Питер
Сообщений: 2,843


что такое "текстовой блок", зачем создавать слой (что на него переносить?). Короче ты явно что-то перепутал в описании (терминах) - рисуй пример (2 dwg'шки до и после).
__________________
Когда в руках молоток все вокруг кажется гвоздями.
Дима_ вне форума  
 
Автор темы   Непрочитано 26.01.2012, 14:34
#3
antiponf


 
Регистрация: 11.01.2012
Сообщений: 38


Цитата:
Сообщение от Дима_ Посмотреть сообщение
что такое "текстовой блок", зачем создавать слой (что на него переносить?). Короче ты явно что-то перепутал в описании (терминах) - рисуй пример (2 dwg'шки до и после).
Да прошу прощения, слаб в терминологии. Текстовый блок это мультитекст. Выкладываю пример до и после.
Вложения
Тип файла: dwg
DWG 2007
Do.dwg (60.8 Кб, 472 просмотров)
Тип файла: dwg
DWG 2007
Posle.dwg (61.1 Кб, 468 просмотров)
antiponf вне форума  
 
Непрочитано 26.01.2012, 15:02
#4
Дима_

Продуман
 
Регистрация: 22.02.2007
Питер
Сообщений: 2,843


Держи:
Код:
[Выделить все]
 (vl-load-com)
(defun c:antiponf()
 ((lambda (lay adoc)
     (vla-startundomark adoc)
     (mapcar '(lambda (lst)
                (entmod (subst (cons 8 lay) (assoc 8 lst) lst)))
              (mapcar '(lambda (ent)
                         (entget (vlax-vla-object->ename (vla-copy (vlax-ename->vla-object ent)))))
                      (vl-remove-if 'listp (mapcar 'cadr (ssnamex (ssget))))))
     (vla-endundomark adoc))
 (vla-get-textstring (vlax-ename->vla-object (car (entsel "\nВыберите текст "))))
 (vla-get-activedocument(vlax-get-acad-object))))
__________________
Когда в руках молоток все вокруг кажется гвоздями.

Последний раз редактировалось Дима_, 26.01.2012 в 16:22. Причина: * исправил ошибку в коде - не создавал новые слои
Дима_ вне форума  
 
Непрочитано 26.01.2012, 15:15
#5
Victor


 
Регистрация: 14.06.2009
Бат-Ям
Сообщений: 294


опоздал на самолет
Вложения
Тип файла: zip aaa.zip (1.1 Кб, 34 просмотров)
Victor вне форума  
 
Автор темы   Непрочитано 26.01.2012, 15:59
#6
antiponf


 
Регистрация: 11.01.2012
Сообщений: 38


Цитата:
Сообщение от Victor Посмотреть сообщение
опоздал на самолет
а можно чтобы не переносились линии а именно копировались (дублировались)
antiponf вне форума  
 
Непрочитано 26.01.2012, 16:22
#7
Дима_

Продуман
 
Регистрация: 22.02.2007
Питер
Сообщений: 2,843


Цитата:
Сообщение от antiponf Посмотреть сообщение
а можно чтобы не переносились линии а именно копировались (дублировались)
Ух чувствую наделаешь "чертежей", модернизировал #4.
Offtop: p.s. завтра ждем вопроса как убрать кучу одинаковых примитивов друг под другом.
__________________
Когда в руках молоток все вокруг кажется гвоздями.
Дима_ вне форума  
 
Непрочитано 27.01.2012, 19:43
#8
Victor


 
Регистрация: 14.06.2009
Бат-Ям
Сообщений: 294


Копировались? Значит неправильно перевёл
Вложения
Тип файла: zip aaa.zip (1.1 Кб, 35 просмотров)
Victor вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Создание слоя с названием содержимого текстового блока и копирование в него линий с других слоев

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Создание нового типа линий Apelsinov AutoCAD 907 27.11.2019 14:16
Для чего нужны фильтры слоев?Как ими пользоваться? Aysulu AutoCAD 43 17.04.2019 10:59